%global _empty_manifest_terminate_build 0
Name:           perl-String-Format
Version:        1.18
Release:        1
Summary:        Sprintf-like string formatting capabilities with arbitrary format definitions
License:        GPLv2
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/String-Format/
Source0:        http://www.cpan.org/authors/id/S/SR/SREZIC/String-Format-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(Test::More)
%description
String::Format lets you define arbitrary printf-like format sequences to be
expanded. This module would be most useful in configuration files and
reporting tools, where the results of a query need to be formatted in a
particular way. It was inspired by mutt's index_format and related
directives (see <URL:http://www.mutt.org/doc/manual/manual-
6.html#index_format>).
%package help
Summary : Sprintf-like string formatting capabilities with arbitrary format definitions
Provides: perl-String-Format-doc
%description help
String::Format lets you define arbitrary printf-like format sequences to be
expanded. This module would be most useful in configuration files and
reporting tools, where the results of a query need to be formatted in a
particular way. It was inspired by mutt's index_format and related
directives (see <URL:http://www.mutt.org/doc/manual/manual-
6.html#index_format>).
%prep
%setup -q -n String-Format-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check || :
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes COPYING META.json README
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Mon Jul 11 2022 Xu Jin <jinxu@kylinos.cn> 1.18-1
- Specfile autogenerated by Perl_Bot
